<?php
define('IN_ADMIN', TRUE);
require dirname(__FILE__).'/include/common.inc.php';
require_once TM_ROOT.'include/admin/global.func.php';
require_once TM_ROOT.'include/version.inc.php';
if(!isset($file)) $file = 'index';
preg_match("/^[0-9A-Za-z_-]+$/", $file) or showmessage('Invalid Request.','close');
if(!isset($forward) && str_exists(HTTP_REFERER, '?')) $forward = HTTP_REFERER;
session_start();
if(!@include TM_ROOT.'admin/'.$file.'.inc.php') showmessage("The file ./admin/{$file}.inc.php is not exists!",'close');

?>